# Interface JmolRepaintManager

All Known Implementing Classes:
  `RepaintManager`

public interface JmolRepaintManager

## Method Summary

Modifier and Type
Method
Description
`void`
`clear(int iShape)`
`boolean`
`isRepaintPending()`
`void`
`popHoldRepaint(boolean andRepaint, String why)`
`void`
`pushHoldRepaint(String why)`
`void`
`render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)`
`String`
`renderExport(GData gdata, ModelSet modelSet, Map<String,Object> params)`
`void`
`repaintDone()`
`boolean`
`repaintIfReady(String why)`
`void`
`requestRepaintAndWait(String why)`
`void`
`set(Viewer vwr, ShapeManager shapeManager)`

## Method Details

### set

void set(Viewer vwr, ShapeManager shapeManager)

### isRepaintPending

boolean isRepaintPending()

### popHoldRepaint

void popHoldRepaint(boolean andRepaint, String why)

### repaintIfReady

boolean repaintIfReady(String why)

### pushHoldRepaint

void pushHoldRepaint(String why)

### repaintDone

void repaintDone()

### requestRepaintAndWait

void requestRepaintAndWait(String why)

### clear

void clear(int iShape)

### render

void render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)

### renderExport

String renderExport(GData gdata, ModelSet modelSet, Map<String,Object> params)